Bug 407841 - (narendra) Summary SELinux is preventing kudzu (kudzu_t) "write" to pipe (unconfined_t).
Summary SELinux is preventing kudzu (kudzu_t) "write" to pipe (unconfine...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-02 09:16 EST by narendra
Modified: 2008-01-30 14:18 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:18:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description narendra 2007-12-02 09:16:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
Summary
    SELinux is preventing kudzu (kudzu_t) "write" to pipe (unconfined_t).

Detailed Description
    SELinux denied access requested by kudzu. It is not expected that this
    access is required by kudzu and this access may signal an intrusion attempt.
    It is also possible that the specific version or configuration of the
    application is causing it to require additional access.

Allowing Access
    You can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:kudzu_t:s0
Target Context                system_u:system_r:unconfined_t:s0
Target Objects                pipe [ fifo_file ]
Affected RPM Packages         
Policy RPM                    selinux-policy-3.0.8-44.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.23.1-42.fc8 #1 SMP
                              Tue Oct 30 13:55:12 EDT 2007 i686 i686
Alert Count                   2
First Seen                    Sun 02 Dec 2007 07:04:21 PM IST
LSummary
    SELinux is preventing kudzu (kudzu_t) "write" to pipe (unconfined_t).

Detailed Description
    SELinux denied access requested by kudzu. It is not expected that this
    access is required by kudzu and this access may signal an intrusion attempt.
    It is also possible that the specific version or configuration of the
    application is causing it to require additional access.

Allowing Access
    You can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:kudzu_t:s0
Target Context                system_u:system_r:unconfined_t:s0
Target Objects                pipe [ fifo_file ]
Affected RPM Packages         
Policy RPM                    selinux-policy-3.0.8-44.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.23.1-42.fc8 #1 SMP
                              Tue Oct 30 13:55:12 EDT 2007 i686 i686
Alert Count                   2
First Seen                    Sun 02 Dec 2007 07:04:21 PM IST
Last Seen                     Sun 02 Dec 2007 07:04:51 PM IST
Local ID                      740a991d-1d8b-4816-a42b-03a762ed80d0
Line Numbers                  

Raw Audit Messages            

avc: denied { write } for comm=kudzu dev=pipefs path=pipe:[16319] pid=3909
scontext=system_u:system_r:kudzu_t:s0 tclass=fifo_file
tcontext=system_u:system_r:unconfined_t:s0



Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.i dont know this properly
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Daniel Walsh 2007-12-03 13:37:29 EST
Fixed in selinux-policy-3.0.8-62.fc8
Comment 2 Daniel Walsh 2008-01-30 14:18:36 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.